Package jnr.constants.platform

# Enum LastError

java.lang.Object
java.lang.Enum<LastError>
jnr.constants.platform.LastError

All Implemented Interfaces:
  `Serializable`, `Comparable<LastError>`, `java.lang.constant.Constable`, `Constant`

public enum LastError extends Enum<LastError> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`ERROR_ACCESS_DENIED`
`ERROR_ALREADY_EXISTS`
`ERROR_ARENA_TRASHED`
`ERROR_AUTODATASEG_EXCEEDS_64k`
`ERROR_BAD_COMMAND`
`ERROR_BAD_ENVIRONMENT`
`ERROR_BAD_EXE_FORMAT`
`ERROR_BAD_FORMAT`
`ERROR_BAD_LENGTH`
`ERROR_BAD_NET_NAME`
`ERROR_BAD_NETPATH`
`ERROR_BAD_PATHNAME`
`ERROR_BAD_PIPE`
`ERROR_BAD_UNIT`
`ERROR_BROKEN_PIPE`
`ERROR_CANNOT_MAKE`
`ERROR_CHILD_NOT_COMPLETE`
`ERROR_CRC`
`ERROR_CURRENT_DIRECTORY`
`ERROR_DIR_NOT_EMPTY`
`ERROR_DIRECT_ACCESS_HANDLE`
`ERROR_DIRECTORY`
`ERROR_DISK_FULL`
`ERROR_DRIVE_LOCKED`
`ERROR_DYNLINK_FROM_INVALID_RING`
`ERROR_EXE_MARKED_INVALID`
`ERROR_FAIL_I24`
`ERROR_FILE_EXISTS`
`ERROR_FILE_NOT_FOUND`
`ERROR_FILENAME_EXCED_RANGE`
`ERROR_GEN_FAILURE`
`ERROR_INFLOOP_IN_RELOC_CHAIN`
`ERROR_INVALID_ACCESS`
`ERROR_INVALID_BLOCK`
`ERROR_INVALID_DATA`
`ERROR_INVALID_DRIVE`
`ERROR_INVALID_EXE_SIGNATURE`
`ERROR_INVALID_FUNCTION`
`ERROR_INVALID_HANDLE`
`ERROR_INVALID_MINALLOCSIZE`
`ERROR_INVALID_MODULETYPE`
`ERROR_INVALID_PARAMETER`
`ERROR_INVALID_SEGDPL`
`ERROR_INVALID_STACKSEG`
`ERROR_INVALID_STARTING_CODESEG`
`ERROR_INVALID_TARGET_HANDLE`
`ERROR_IOPL_NOT_ENABLED`
`ERROR_ITERATED_DATA_EXCEEDS_64k`
`ERROR_LOCK_FAILED`
`ERROR_LOCK_VIOLATION`
`ERROR_MAX_THRDS_REACHED`
`ERROR_MOD_NOT_FOUND`
`ERROR_NEGATIVE_SEEK`
`ERROR_NESTING_NOT_ALLOWED`
`ERROR_NETWORK_ACCESS_DENIED`
`ERROR_NO_DATA`
`ERROR_NO_MORE_FILES`
`ERROR_NO_PROC_SLOTS`
`ERROR_NOT_DOS_DISK`
`ERROR_NOT_ENOUGH_MEMORY`
`ERROR_NOT_ENOUGH_QUOTA`
`ERROR_NOT_LOCKED`
`ERROR_NOT_READY`
`ERROR_NOT_SAME_DEVICE`
`ERROR_OPERATION_ABORTED`
`ERROR_OUT_OF_PAPER`
`ERROR_PATH_NOT_FOUND`
`ERROR_PIPE_BUSY`
`ERROR_PIPE_LOCAL`
`ERROR_PIPE_NOT_CONNECTED`
`ERROR_READ_FAULT`
`ERROR_RELOC_CHAIN_XEEDS_SEGLIM`
`ERROR_RING2SEG_MUST_BE_MOVABLE`
`ERROR_SECTOR_NOT_FOUND`
`ERROR_SEEK`
`ERROR_SEEK_ON_DEVICE`
`ERROR_SHARING_BUFFER_EXCEEDED`
`ERROR_SHARING_VIOLATION`
`ERROR_TOO_MANY_OPEN_FILES`
`ERROR_WAIT_NO_CHILDREN`
`ERROR_WRITE_FAULT`
`ERROR_WRITE_PROTECT`
`ERROR_WRONG_DISK`
`WSA_E_CANCELLED`
`WSA_E_NO_MORE`
`WSAEACCES`
`WSAEADDRINUSE`
`WSAEADDRNOTAVAIL`
`WSAEAFNOSUPPORT`
`WSAEALREADY`
`WSAEBADF`
`WSAECANCELLED`
`WSAECONNABORTED`
`WSAECONNREFUSED`
`WSAECONNRESET`
`WSAEDESTADDRREQ`
`WSAEDISCON`
`WSAEDQUOT`
`WSAEFAULT`
`WSAEHOSTDOWN`
`WSAEHOSTUNREACH`
`WSAEINPROGRESS`
`WSAEINTR`
`WSAEINVAL`
`WSAEINVALIDPROCTABLE`
`WSAEINVALIDPROVIDER`
`WSAEISCONN`
`WSAELOOP`
`WSAEMFILE`
`WSAEMSGSIZE`
`WSAENAMETOOLONG`
`WSAENETDOWN`
`WSAENETRESET`
`WSAENETUNREACH`
`WSAENOBUFS`
`WSAENOMORE`
`WSAENOPROTOOPT`
`WSAENOTCONN`
`WSAENOTEMPTY`
`WSAENOTSOCK`
`WSAEOPNOTSUPP`
`WSAEPFNOSUPPORT`
`WSAEPROCLIM`
`WSAEPROTONOSUPPORT`
`WSAEPROTOTYPE`
`WSAEPROVIDERFAILEDINIT`
`WSAEREFUSED`
`WSAEREMOTE`
`WSAESHUTDOWN`
`WSAESOCKTNOSUPPORT`
`WSAESTALE`
`WSAETIMEDOUT`
`WSAETOOMANYREFS`
`WSAEUSERS`
`WSAEWOULDBLOCK`
`WSAHOST_NOT_FOUND`
`WSANO_DATA`
`WSANO_RECOVERY`
`WSANOTINITIALISED`
`WSASERVICE_NOT_FOUND`
`WSASYSCALLFAILURE`
`WSASYSNOTREADY`
`WSATRY_AGAIN`
`WSATYPE_NOT_FOUND`
`WSAVERNOTSUPPORTED`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static LastError`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static LastError`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LastError[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### ERROR_INVALID_FUNCTION

public static final LastError ERROR_INVALID_FUNCTION

### ERROR_FILE_NOT_FOUND

public static final LastError ERROR_FILE_NOT_FOUND

### ERROR_PATH_NOT_FOUND

public static final LastError ERROR_PATH_NOT_FOUND

### ERROR_TOO_MANY_OPEN_FILES

public static final LastError ERROR_TOO_MANY_OPEN_FILES

### ERROR_ACCESS_DENIED

public static final LastError ERROR_ACCESS_DENIED

### ERROR_INVALID_HANDLE

public static final LastError ERROR_INVALID_HANDLE

### ERROR_ARENA_TRASHED

public static final LastError ERROR_ARENA_TRASHED

### ERROR_NOT_ENOUGH_MEMORY

public static final LastError ERROR_NOT_ENOUGH_MEMORY

### ERROR_INVALID_BLOCK

public static final LastError ERROR_INVALID_BLOCK

### ERROR_BAD_ENVIRONMENT

public static final LastError ERROR_BAD_ENVIRONMENT

### ERROR_BAD_FORMAT

public static final LastError ERROR_BAD_FORMAT

### ERROR_INVALID_ACCESS

public static final LastError ERROR_INVALID_ACCESS

### ERROR_INVALID_DATA

public static final LastError ERROR_INVALID_DATA

### ERROR_INVALID_DRIVE

public static final LastError ERROR_INVALID_DRIVE

### ERROR_CURRENT_DIRECTORY

public static final LastError ERROR_CURRENT_DIRECTORY

### ERROR_NOT_SAME_DEVICE

public static final LastError ERROR_NOT_SAME_DEVICE

### ERROR_NO_MORE_FILES

public static final LastError ERROR_NO_MORE_FILES

### ERROR_WRITE_PROTECT

public static final LastError ERROR_WRITE_PROTECT

### ERROR_BAD_UNIT

public static final LastError ERROR_BAD_UNIT

### ERROR_NOT_READY

public static final LastError ERROR_NOT_READY

### ERROR_BAD_COMMAND

public static final LastError ERROR_BAD_COMMAND

### ERROR_CRC

public static final LastError ERROR_CRC

### ERROR_BAD_LENGTH

public static final LastError ERROR_BAD_LENGTH

### ERROR_SEEK

public static final LastError ERROR_SEEK

### ERROR_NOT_DOS_DISK

public static final LastError ERROR_NOT_DOS_DISK

### ERROR_SECTOR_NOT_FOUND

public static final LastError ERROR_SECTOR_NOT_FOUND

### ERROR_OUT_OF_PAPER

public static final LastError ERROR_OUT_OF_PAPER

### ERROR_WRITE_FAULT

public static final LastError ERROR_WRITE_FAULT

### ERROR_READ_FAULT

public static final LastError ERROR_READ_FAULT

### ERROR_GEN_FAILURE

public static final LastError ERROR_GEN_FAILURE

### ERROR_LOCK_VIOLATION

public static final LastError ERROR_LOCK_VIOLATION

### ERROR_SHARING_VIOLATION

public static final LastError ERROR_SHARING_VIOLATION

### ERROR_WRONG_DISK

public static final LastError ERROR_WRONG_DISK

### ERROR_SHARING_BUFFER_EXCEEDED

public static final LastError ERROR_SHARING_BUFFER_EXCEEDED

### ERROR_BAD_NETPATH

public static final LastError ERROR_BAD_NETPATH

### ERROR_NETWORK_ACCESS_DENIED

public static final LastError ERROR_NETWORK_ACCESS_DENIED

### ERROR_BAD_NET_NAME

public static final LastError ERROR_BAD_NET_NAME

### ERROR_FILE_EXISTS

public static final LastError ERROR_FILE_EXISTS

### ERROR_CANNOT_MAKE

public static final LastError ERROR_CANNOT_MAKE

### ERROR_FAIL_I24

public static final LastError ERROR_FAIL_I24

### ERROR_INVALID_PARAMETER

public static final LastError ERROR_INVALID_PARAMETER

### ERROR_NO_PROC_SLOTS

public static final LastError ERROR_NO_PROC_SLOTS

### ERROR_DRIVE_LOCKED

public static final LastError ERROR_DRIVE_LOCKED

### ERROR_BROKEN_PIPE

public static final LastError ERROR_BROKEN_PIPE

### ERROR_DISK_FULL

public static final LastError ERROR_DISK_FULL

### ERROR_INVALID_TARGET_HANDLE

public static final LastError ERROR_INVALID_TARGET_HANDLE

### ERROR_WAIT_NO_CHILDREN

public static final LastError ERROR_WAIT_NO_CHILDREN

### ERROR_CHILD_NOT_COMPLETE

public static final LastError ERROR_CHILD_NOT_COMPLETE

### ERROR_DIRECT_ACCESS_HANDLE

public static final LastError ERROR_DIRECT_ACCESS_HANDLE

### ERROR_NEGATIVE_SEEK

public static final LastError ERROR_NEGATIVE_SEEK

### ERROR_SEEK_ON_DEVICE

public static final LastError ERROR_SEEK_ON_DEVICE

### ERROR_DIR_NOT_EMPTY

public static final LastError ERROR_DIR_NOT_EMPTY

### ERROR_DIRECTORY

public static final LastError ERROR_DIRECTORY

### ERROR_NOT_LOCKED

public static final LastError ERROR_NOT_LOCKED

### ERROR_BAD_PATHNAME

public static final LastError ERROR_BAD_PATHNAME

### ERROR_MAX_THRDS_REACHED

public static final LastError ERROR_MAX_THRDS_REACHED

### ERROR_LOCK_FAILED

public static final LastError ERROR_LOCK_FAILED

### ERROR_ALREADY_EXISTS

public static final LastError ERROR_ALREADY_EXISTS

### ERROR_INVALID_STARTING_CODESEG

public static final LastError ERROR_INVALID_STARTING_CODESEG

### ERROR_INVALID_STACKSEG

public static final LastError ERROR_INVALID_STACKSEG

### ERROR_INVALID_MODULETYPE

public static final LastError ERROR_INVALID_MODULETYPE

### ERROR_INVALID_EXE_SIGNATURE

public static final LastError ERROR_INVALID_EXE_SIGNATURE

### ERROR_EXE_MARKED_INVALID

public static final LastError ERROR_EXE_MARKED_INVALID

### ERROR_BAD_EXE_FORMAT

public static final LastError ERROR_BAD_EXE_FORMAT

### ERROR_ITERATED_DATA_EXCEEDS_64k

public static final LastError ERROR_ITERATED_DATA_EXCEEDS_64k

### ERROR_INVALID_MINALLOCSIZE

public static final LastError ERROR_INVALID_MINALLOCSIZE

### ERROR_DYNLINK_FROM_INVALID_RING

public static final LastError ERROR_DYNLINK_FROM_INVALID_RING

### ERROR_IOPL_NOT_ENABLED

public static final LastError ERROR_IOPL_NOT_ENABLED

### ERROR_INVALID_SEGDPL

public static final LastError ERROR_INVALID_SEGDPL

### ERROR_AUTODATASEG_EXCEEDS_64k

public static final LastError ERROR_AUTODATASEG_EXCEEDS_64k

### ERROR_RING2SEG_MUST_BE_MOVABLE

public static final LastError ERROR_RING2SEG_MUST_BE_MOVABLE

### ERROR_RELOC_CHAIN_XEEDS_SEGLIM

public static final LastError ERROR_RELOC_CHAIN_XEEDS_SEGLIM

### ERROR_INFLOOP_IN_RELOC_CHAIN

public static final LastError ERROR_INFLOOP_IN_RELOC_CHAIN

### ERROR_FILENAME_EXCED_RANGE

public static final LastError ERROR_FILENAME_EXCED_RANGE

### ERROR_NESTING_NOT_ALLOWED

public static final LastError ERROR_NESTING_NOT_ALLOWED

### ERROR_PIPE_LOCAL

public static final LastError ERROR_PIPE_LOCAL

### ERROR_BAD_PIPE

public static final LastError ERROR_BAD_PIPE

### ERROR_PIPE_BUSY

public static final LastError ERROR_PIPE_BUSY

### ERROR_NO_DATA

public static final LastError ERROR_NO_DATA

### ERROR_PIPE_NOT_CONNECTED

public static final LastError ERROR_PIPE_NOT_CONNECTED

### ERROR_OPERATION_ABORTED

public static final LastError ERROR_OPERATION_ABORTED

### ERROR_NOT_ENOUGH_QUOTA

public static final LastError ERROR_NOT_ENOUGH_QUOTA

### ERROR_MOD_NOT_FOUND

public static final LastError ERROR_MOD_NOT_FOUND

### WSAEINTR

public static final LastError WSAEINTR

### WSAEBADF

public static final LastError WSAEBADF

### WSAEACCES

public static final LastError WSAEACCES

### WSAEFAULT

public static final LastError WSAEFAULT

### WSAEINVAL

public static final LastError WSAEINVAL

### WSAEMFILE

public static final LastError WSAEMFILE

### WSAEWOULDBLOCK

public static final LastError WSAEWOULDBLOCK

### WSAEINPROGRESS

public static final LastError WSAEINPROGRESS

### WSAEALREADY

public static final LastError WSAEALREADY

### WSAENOTSOCK

public static final LastError WSAENOTSOCK

### WSAEDESTADDRREQ

public static final LastError WSAEDESTADDRREQ

### WSAEMSGSIZE

public static final LastError WSAEMSGSIZE

### WSAEPROTOTYPE

public static final LastError WSAEPROTOTYPE

### WSAENOPROTOOPT

public static final LastError WSAENOPROTOOPT

### WSAEPROTONOSUPPORT

public static final LastError WSAEPROTONOSUPPORT

### WSAESOCKTNOSUPPORT

public static final LastError WSAESOCKTNOSUPPORT

### WSAEOPNOTSUPP

public static final LastError WSAEOPNOTSUPP

### WSAEPFNOSUPPORT

public static final LastError WSAEPFNOSUPPORT

### WSAEAFNOSUPPORT

public static final LastError WSAEAFNOSUPPORT

### WSAEADDRINUSE

public static final LastError WSAEADDRINUSE

### WSAEADDRNOTAVAIL

public static final LastError WSAEADDRNOTAVAIL

### WSAENETDOWN

public static final LastError WSAENETDOWN

### WSAENETUNREACH

public static final LastError WSAENETUNREACH

### WSAENETRESET

public static final LastError WSAENETRESET

### WSAECONNABORTED

public static final LastError WSAECONNABORTED

### WSAECONNRESET

public static final LastError WSAECONNRESET

### WSAENOBUFS

public static final LastError WSAENOBUFS

### WSAEISCONN

public static final LastError WSAEISCONN

### WSAENOTCONN

public static final LastError WSAENOTCONN

### WSAESHUTDOWN

public static final LastError WSAESHUTDOWN

### WSAETOOMANYREFS

public static final LastError WSAETOOMANYREFS

### WSAETIMEDOUT

public static final LastError WSAETIMEDOUT

### WSAECONNREFUSED

public static final LastError WSAECONNREFUSED

### WSAELOOP

public static final LastError WSAELOOP

### WSAENAMETOOLONG

public static final LastError WSAENAMETOOLONG

### WSAEHOSTDOWN

public static final LastError WSAEHOSTDOWN

### WSAEHOSTUNREACH

public static final LastError WSAEHOSTUNREACH

### WSAENOTEMPTY

public static final LastError WSAENOTEMPTY

### WSAEPROCLIM

public static final LastError WSAEPROCLIM

### WSAEUSERS

public static final LastError WSAEUSERS

### WSAEDQUOT

public static final LastError WSAEDQUOT

### WSAESTALE

public static final LastError WSAESTALE

### WSAEREMOTE

public static final LastError WSAEREMOTE

### WSASYSNOTREADY

public static final LastError WSASYSNOTREADY

### WSAVERNOTSUPPORTED

public static final LastError WSAVERNOTSUPPORTED

### WSANOTINITIALISED

public static final LastError WSANOTINITIALISED

### WSAEDISCON

public static final LastError WSAEDISCON

### WSAENOMORE

public static final LastError WSAENOMORE

### WSAECANCELLED

public static final LastError WSAECANCELLED

### WSAEINVALIDPROCTABLE

public static final LastError WSAEINVALIDPROCTABLE

### WSAEINVALIDPROVIDER

public static final LastError WSAEINVALIDPROVIDER

### WSAEPROVIDERFAILEDINIT

public static final LastError WSAEPROVIDERFAILEDINIT

### WSASYSCALLFAILURE

public static final LastError WSASYSCALLFAILURE

### WSASERVICE_NOT_FOUND

public static final LastError WSASERVICE_NOT_FOUND

### WSATYPE_NOT_FOUND

public static final LastError WSATYPE_NOT_FOUND

### WSA_E_NO_MORE

public static final LastError WSA_E_NO_MORE

### WSA_E_CANCELLED

public static final LastError WSA_E_CANCELLED

### WSAEREFUSED

public static final LastError WSAEREFUSED

### WSAHOST_NOT_FOUND

public static final LastError WSAHOST_NOT_FOUND

### WSATRY_AGAIN

public static final LastError WSATRY_AGAIN

### WSANO_RECOVERY

public static final LastError WSANO_RECOVERY

### WSANO_DATA

public static final LastError WSANO_DATA

### __UNKNOWN_CONSTANT__

public static final LastError __UNKNOWN_CONSTANT__

## Method Details

### values

public static LastError[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LastError valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<LastError>`

### valueOf

public static LastError valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null